WITH Text_IO; 
PROCEDURE Pizza IS
 
  -- Computes and displays the unit price of a pizza
  -- given the diameter and total price.
  -- Source code from "Ada: Problem Solving and Program Design"
  -- by Feldman and Koffman, Addison-Wesley, 1992.  Used with permission.
  -- Modified Spring 94 to use FLOAT types by John Dalbey

  
  PACKAGE My_Flt_IO IS NEW Text_IO.Float_IO(FLOAT);
  
  Pi : CONSTANT Float := 3.14159;
 
  Diameter  : Float;  -- input  - diameter of a pizza
  Price     : Float;  -- input  - price of a pizza
  UnitPrice : Float;  -- output - unit price of a pizza
  Area      : Float;  -- output - area of a pizza 
  Radius    : Float;  -- radius of a pizza
 
BEGIN -- Pizza
 
  -- Read in the pizza diameter and price
  Text_IO.Put   (Item => "Enter diameter of pizza in inches: ");
  My_Flt_IO.Get (Item => Diameter);
  Text_IO.Put   (Item => "Price of whole pizza $");
  My_Flt_IO.Get (Item => Price);
 
  -- Compute the pizza area   
  Radius := Diameter / 2.0;
  Area   := Pi * Radius ** 2;
 
  -- Compute the pizza unit price
  UnitPrice := Price / Area;
 
  -- Display the unit price and area
  Text_IO.New_Line;
  Text_IO.Put   (Item => "The pizza area is ");
  My_Flt_IO.Put (Item => Area, Fore => 1, Aft => 2, Exp => 0);
  Text_IO.Put   (Item => " square inches.");
  Text_IO.New_Line;
  Text_IO.Put   (Item => "The pizza price per square inch is $");
  My_Flt_IO.Put (Item => UnitPrice, Fore => 1, Aft => 2, Exp => 0);
  Text_IO.New_Line;
 
END Pizza;
